VERSION 5.00
Begin VB.Form frmFileDialog 
   Caption         =   "File Dialog"
   ClientHeight    =   3270
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8655
   LinkTopic       =   "Form1"
   ScaleHeight     =   3270
   ScaleWidth      =   8655
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtPath 
      Height          =   375
      Left            =   240
      TabIndex        =   5
      Top             =   120
      Width           =   8175
   End
   Begin VB.FileListBox File1 
      Height          =   1650
      Left            =   4080
      TabIndex        =   4
      Top             =   600
      Width           =   4335
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   4200
      TabIndex        =   3
      Top             =   2280
      Width           =   4215
   End
   Begin VB.DirListBox Dir1 
      Height          =   1665
      Left            =   240
      TabIndex        =   2
      Top             =   600
      Width           =   3735
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   7200
      TabIndex        =   1
      Top             =   2760
      Width           =   1215
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "Ok"
      Height          =   375
      Left            =   5880
      TabIndex        =   0
      Top             =   2760
      Width           =   1215
   End
End
Attribute VB_Name = "frmFileDialog"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim bLoading As Boolean
Private Sub Command1_Click()
    Unload Me
End Sub

Private Sub cmdCancel_Click()
    gsFileName = ""
    Unload Me
End Sub

Private Sub cmdOk_Click()
    gsFileName = txtPath
    Unload Me
End Sub

Private Sub Dir1_Change()
    On Error GoTo Dir1_Change_Error
    
    txtPath = Dir1.Path
    
    File1.Path = Dir1.Path
    
    If bLoading = False Then
        gsPath = File1.Path
    End If
Exit_Dir1_Change:
        
   Exit Sub
    
Dir1_Change_Error:
    
    #If gnDebug Then
        Stop
        Resume
    #End If

    HandleError "Dir1_Change", Err.Description, Err.Number, gErrFormName
    Resume Exit_Dir1_Change
    
End Sub

Private Sub Drive1_Change()
    On Error GoTo Drive1_Change_Error
    
    Dir1.Path = Drive1.Drive
    gsDrive = Drive1.Drive
    
Exit_Drive1_Change:
        
   Exit Sub
    
Drive1_Change_Error:
    
    #If gnDebug Then
        Stop
        Resume
    #End If

    HandleError "Drive1_Change", Err.Description, Err.Number, gErrFormName
    Resume Exit_Drive1_Change

End Sub

Private Sub File1_Click()
    On Error GoTo File1_Click_Error
    
    txtPath = File1.Path + "\" + File1.FileName

Exit_File1_Click:
        
   Exit Sub
    
File1_Click_Error:
    
    #If gnDebug Then
        Stop
        Resume
    #End If

    HandleError "File1_Click", Err.Description, Err.Number, gErrFormName
    Resume Exit_File1_Click

End Sub

Private Sub Form_Load()
    bLoading = True
    If gsDrive <> "" Then
        Drive1.Drive = gsDrive
        Dir1.Path = Drive1.Drive
    End If

    If gsPath <> "" Then
        Dir1.Path = gsPath
        File1.Path = Dir1.Path
    End If
    bLoading = False
End Sub
